aboutsummaryrefslogtreecommitdiffstats
path: root/package/netifd/files/etc
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2011-10-21 01:47:49 +0000
committerFelix Fietkau <nbd@openwrt.org>2011-10-21 01:47:49 +0000
commit9117bb10f7ef5536163dfa413a3aa799602907ae (patch)
tree23e29d8252f2ea52ba54d8cd62dbc73ee883af37 /package/netifd/files/etc
parenta1172f3c5dc1cd74605cc0dd3027533bb0ff8b58 (diff)
downloadupstream-9117bb10f7ef5536163dfa413a3aa799602907ae.tar.gz
upstream-9117bb10f7ef5536163dfa413a3aa799602907ae.tar.bz2
upstream-9117bb10f7ef5536163dfa413a3aa799602907ae.zip
add an initial (experimental) version of netifd, disabled by default
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@28499 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/netifd/files/etc')
-rw-r--r--package/netifd/files/etc/hotplug.d/iface/00-netstate5
-rwxr-xr-xpackage/netifd/files/etc/init.d/netifd18
-rwxr-xr-xpackage/netifd/files/etc/init.d/network20
3 files changed, 43 insertions, 0 deletions
diff --git a/package/netifd/files/etc/hotplug.d/iface/00-netstate b/package/netifd/files/etc/hotplug.d/iface/00-netstate
new file mode 100644
index 0000000000..d5cf761669
--- /dev/null
+++ b/package/netifd/files/etc/hotplug.d/iface/00-netstate
@@ -0,0 +1,5 @@
+[ ifup = "$ACTION" ] && {
+ uci_toggle_state network "$INTERFACE" up 1
+ uci_toggle_state network "$INTERFACE" connect_time $(sed -ne 's![^0-9].*$!!p' /proc/uptime)
+ [ -n "$DEVICE" ] && uci_toggle_state network "$INTERFACE" ifname "$DEVICE"
+}
diff --git a/package/netifd/files/etc/init.d/netifd b/package/netifd/files/etc/init.d/netifd
new file mode 100755
index 0000000000..e1047e7a81
--- /dev/null
+++ b/package/netifd/files/etc/init.d/netifd
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+START=20
+PIDFILE=/var/run/netifd.pid
+
+start() {
+ stop
+ start-stop-daemon -S -b -m -p $PIDFILE -x /sbin/netifd
+}
+
+reload() {
+ ubus call network reload
+}
+
+stop() {
+ [ -e "$PIDFILE" ] || return
+ start-stop-daemon -K -p $PIDFILE -x /sbin/netifd
+ rm -f "$PIDFILE"
+}
diff --git a/package/netifd/files/etc/init.d/network b/package/netifd/files/etc/init.d/network
new file mode 100755
index 0000000000..d7d87350ef
--- /dev/null
+++ b/package/netifd/files/etc/init.d/network
@@ -0,0 +1,20 @@
+#!/bin/sh /etc/rc.common
+START=40
+STOP=90
+
+start() {
+ setup_switch() { return 0; }
+
+ include /lib/network
+ setup_switch
+
+ ubus call network reload
+}
+
+restart() {
+ start
+}
+
+stop() {
+ /sbin/ifdown -a
+}